import request from '@/utils/request'

// 查询短信记录列表
export function listMessageLog(query) {
  return request({
    url: '/system/messageLog/list',
    method: 'get',
    params: query
  })
}

// 查询短信记录详细
export function getMessageLog(id) {
  return request({
    url: '/system/messageLog/' + id,
    method: 'get'
  })
}

// 新增短信记录
export function addMessageLog(data) {
  return request({
    url: '/system/messageLog',
    method: 'post',
    data: data
  })
}

// 修改短信记录
export function updateMessageLog(data) {
  return request({
    url: '/system/messageLog',
    method: 'put',
    data: data
  })
}

// 删除短信记录
export function delMessageLog(id) {
  return request({
    url: '/system/messageLog/' + id,
    method: 'delete'
  })
}

// 导出短信记录
export function exportMessageLog(query) {
  return request({
    url: '/system/messageLog/export',
    method: 'get',
    params: query
  })
}